<?php

// register new block category
function ri_register_block_categories( $categories ) {
	
    return array_merge(
		$categories,
		[
			[
				'slug'  => 'real-blocks',
				'title' => __( 'Real Ideas Blocks', 'realideas' ),
			],
		]
	);

}
add_action( 'block_categories_all', 'ri_register_block_categories', 10, 2 );



function ri_acf_init_block_types() {

    // Check function exists.
    if( function_exists('acf_register_block_type') ) {

        // register a map block.
        acf_register_block_type(array(
            'name'              => 'map-block',
            'title'             => __('Google Map'),
            'description'       => __('A Google map block.'),
            'render_template'   => 'template-parts/blocks/google-map.php',
            'category'          => 'real-blocks',
            'icon'              => 'mapMarker',
            'keywords'          => array('map', 'google map'),
        ));

        // register slider block.
        // acf_register_block_type(array(
        //     'name'              => 'slider',
        //     'title'             => __('Slider'),
        //     'description'       => __('A custom slider block.'),
        //     'render_template'   => 'template-parts/blocks/slider.php',
        //     'category'          => 'real-blocks',
        //     'icon'              => 'slides',
        //     'keywords'          => array( 'slider' ),
        // ));

        // register events block.
        // acf_register_block_type(array(
        //     'name'              => 'events',
        //     'title'             => __('Events'),
        //     'description'       => __('A custom events block.'),
        //     'render_template'   => 'template-parts/blocks/events.php',
        //     'category'          => 'real-blocks',
        //     'icon'              => 'calendar',
        //     'keywords'          => array( 'events' ),
        // ));

        // register spaces block.
        // acf_register_block_type(array(
        //     'name'              => 'spaces',
        //     'title'             => __('Spaces'),
        //     'description'       => __('A custom spaces block.'),
        //     'render_template'   => 'template-parts/blocks/spaces.php',
        //     'category'          => 'real-blocks',
        //     'icon'              => 'store',
        //     'keywords'          => array( 'spaces' ),
        // ));
    }
}
add_action('acf/init', 'ri_acf_init_block_types');