<?php // Section: Theme settings

$wp_customize->add_section( 'theme_settings' , array(
    'title'     => 'Theme Settings',
    'priority'  => 30,
) );


// Site Width
$wp_customize->add_setting( 'site_width' , array(
    'type'          => 'theme_mod',
    'default'       => '1920',
    'transport'     => 'refresh',
) );
$wp_customize->add_control( 'site_width', array(
    'label'         => __('Site width', 'width'),
    'description'   => 'Sets the default width, in px for the header, footer, blog and any custom post types. (Default: 1920)',
    'section'       => 'theme_settings',
    'settings'      => 'site_width',
    'type'          => 'text',
    'input_attrs' => array(
        'placeholder' => __( 'e.g. 1920', 'width' ),
    )
));
// End

// Header Layouts
$wp_customize->add_setting( 'header_type' , array(
    'type'          => 'theme_mod',
    'default'       => 'classic',
    'transport'     => 'refresh',
) );
$wp_customize->add_control( 'header_type', array(
    'label'         => 'Header Layout',
    'description'   => 'Set the Header layout. (Default: Classic)',
    'section'       => 'theme_settings',
    'settings'      => 'header_type',
    'type'          => 'radio',
    'choices'       => array(
        'classic'           => 'Classic',
        'stack-center'      => 'Stack: Center',   
        'stack-left'        => 'Stack: Left',
    ),
));
// End

// Blog Layouts
$wp_customize->add_setting( 'blog_type' , array(
    'type'          => 'theme_mod',
    'default'       => 'blog-classic',
    'transport'     => 'refresh',
) );
$wp_customize->add_control( 'blog_type', array(
    'label'         => 'Blog Layout',
    'description'   => 'Set the Blog layout. (Default: Classic)',
    'section'       => 'theme_settings',
    'settings'      => 'blog_type',
    'type'          => 'radio',
    'choices'       => array(
        'blog-classic'  => 'Classic',
        'blog-grid'     => 'Grid',      
        'blog-masonary' => 'Masonary',
    ),
));
// End